Bug 7617 - Setting SHMMAX Parameter not possible to make fixed
: Setting SHMMAX Parameter not possible to make fixed
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Fresh
: x86_64 Linux
: High major
: ---
Assigned To: JDronova
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-24 01:05 MSK by daz
Modified: 2017-02-16 22:51 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description daz 2016-12-24 01:05:20 MSK
Description of problem:
Setting SHMMAX Parameter changes can not be made permanent. 

Version-Release number of selected component (if applicable):
ROSA8

Current settings: 
rosafresh8@rosafresh8-Aspire-V3-572G ~ $ cat /proc/sys/kernel/shmmax
268435456


New Settings:
rosafresh8@rosafresh8-Aspire-V3-572G ~ $ su
Password: 
rosafresh8-Aspire-V3-572G rosafresh8 # echo 36028796884746232 > /proc/sys/kernel/shmmax
rosafresh8-Aspire-V3-572G rosafresh8 # cat /proc/sys/kernel/shmmax
36028796884746232
rosafresh8-Aspire-V3-572G rosafresh8 # 

I have also tried to make permanent with:
echo "kernel.shmmax=36028796884746232" >> /etc/sysctl.conf

The improvement to the OS must be at least 80% better with the increase especially running other OS's in Virtual Environments such as VMware Player. 
Shmmax level 268435456 is way to low.

Please advise how I can make shmmax level fixed at 36028796884746232
Comment 1 daz 2016-12-24 01:08:50 MSK
I have set the importance as high as the levels are preventing me from running complex multi-media software across VM's which I am required to do a Job soon and need this fixed
Comment 2 daz 2016-12-24 01:39:27 MSK
Now I also tried sudo sysctl -w kernel.shmmax=<value> ( did not work )
Comment 3 daz 2016-12-24 13:16:25 MSK
Well,

Due to multiple system errors I have done a clean install. 

Now output = 

osa8@Rosa8_Linux ~ $ cat /proc/sys/kernel/shmmax
18446744073692774399
Comment 4 Eugene Shatokhin 2016-12-24 17:45:07 MSK
So, it the problem still actual for you now?
Comment 5 daz 2017-01-06 05:10:04 MSK
Hello Eugine,

This issue is now fixed after a clean reboot. However I rebooted the Plasma version this time to try and had mutliple boot errors with Kernel and major issues with display and features in OS. So I went back to KDE. 

This was a good thing to try as I have been wondering if the Kernel I am running is the best for my computer. My current Kernel is 4.1.34-nrj-desktop-2rosa-x86_64.

After reading ROSA Linux distro have chosen kernel-nrj-desktop as the default kernel flavour, but it is possible, after the OS has been installed on the HD or SSD, to install and use any of the of different specialized kernel flavours, some examples?
If you have a laptop PC, you need a better Cpu cooling and Energy Saving, we sugggest you kernel-nrj-laptop
If you have a laptop / netbook PC, you need better Energy Saving, the lightest flavour is kernel-nrj-netbook
If you need a most responsive system for audio applications, we suggest you installing kernel-nrj-realtime
If you need to prepare a server for your LAMP applications, we suggest you installing kernel-server
it's also possible installing, one or more flavours, from the nrjQL flavour list, just below

It has made me question why I am running 4.1.34-nrj-desktop-2rosa-x86_64. ( DESKTOP ) rather than say kernel-nrj-laptop ? There are two issues I am having with my laptop is RAM consuming system which I am not sure why. The other is I am about to start doing some major live stream video recording which will take many system resources. As above states If you have a laptop PC, you need a better Cpu cooling and Energy Saving, we sugggest you kernel-nrj-laptop << however I am concered of what impact changing the kernel might have after my expereince when I used PLASMA. Given I will be doing audio / video production I also wonder about << If you need a most responsive system for audio applications, we suggest you installing kernel-nrj-realtime >> ? So essentially I am wanting know which Kernal will suit me best and perhaps lower the system load. 

https://linux-hardware.org/index.php?probe=e35f266307
Comment 6 Eugene Shatokhin 2017-01-06 19:32:44 MSK
(In reply to comment #5)
> So essentially I am wanting know which Kernal will
> suit me best and perhaps lower the system load. 

1. Long story short, nrj-desktop kernel should be OK in most cases, which is why we picked it as the default.

2. I would suggest trying a newer kernel though, at least 4.8.x (see http://wiki.rosalab.ru/en/index.php/Installing_unofficial_kernels). These newer kernels are not officially supported by ROSA right now but many our users are running them on their production systems and seem quite satisfied.

The older kernels will still be available to you if you install a new one, you can select them at boot time.

3. If you need to tweak performance- and power consumption-related parameters of the system more after that, take a look at cpupower settings ('man cpupower-frequency-set', 'man cpupower').

4. If it is more important to you that your laptop consumes less battery power and the performance is not that critical, you can try nrj-laptop kernel. The gain in power consumption varies from machine to machine, it may be significant or it may be close to 0, hard to tell in advance.

Still, it is nothing wrong if one runs nrj-desktop kernel on a laptop.
-------------------

[sidenote] We need to find some time to update that info about nrj-realtime, etc., you have read at the wiki or wherever. It is obsolete and misleading.[/sidenote]

Currently, nrj-desktop and nrj-laptop are the only supported kernel flavours. Other flavours (*-realtime, *-netbook) are no longer provided.

nrj-laptop differs from nrj-desktop in the following:
* there are less timer interrupts per second with nrj-laptop than with nrj-desktop (300 VS 1000) - this allows the CPUs to remain idle longer and consume less power;
* the drivers for the hardware that is unlikely to be present in laptops are not built in nrj-laptop.
Comment 7 daz 2017-01-06 20:18:46 MSK
Thanks for the detail of response Eugine. Its funny you mentioned the newer Kernels. Due to doing something I should not have done and a mess to fix. I have rolled all the way back to ROSA.FRESH.KDE.R7.15389.b.x86_64.uefi.iso ( an image you may have gave me as I dont think its public ) . Anyway , I am upgrading to ROSA 8 at present. 

Getting back to the Kernel I tried prior to this re-install process to get an updated Kernel using https://www.kernel.org/ then these instructions https://www.howtoforge.com/kernel_compilation_mandriva

Something was not right and the "make" process would have taken like 2 days to complete I was in dangerous territory. I tried to follow these instructions : http://wiki.rosalab.ru/en/index.php/Kernel with no luck. But my job is far from IT. 

The complex nature of installing a new Kernel ( as I see it ) appears to be much more simple with your option of


sudo urpmi.addmedia kernel_4.8 http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/rosa2014.1/x86_64/kernel_4_8/release/
 
sudo urpmi kernel-nrj-desktop-4.8-latest kernel-nrj-desktop-4.8-devel-latest cpupower

Just to 100% clarify you run :


sudo urpmi.addmedia kernel_4.8 http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/rosa2014.1/x86_64/kernel_4_8/release/

THEN: RUN:

sudo urpmi kernel-nrj-desktop-4.8-latest kernel-nrj-desktop-4.8-devel-latest cpupower

THEN: reboot

Thanks Eugine
Comment 8 daz 2017-01-06 21:10:44 MSK
Can you give me a clear interpretation of this text : === Russian ===

Начиная с версии 39, Firefox не поддерживает шифрованный доступ по
сертификатам SSL3 с длиной ключа 128 и 256. Это сделано для привлечения
внимания к недостаточной защищенности такого доступа в современных
условиях. Если вы по-прежнему хотите использовать такие сертификаты,
установите в конфигурации браузера (url about:config) параметры:

security.ssl3.dhe_rsa_aes_128_sha=false
security.ssl3.dhe_rsa_aes_256_sha=false

It is difficult to translate for me . I get this while installing ROSA 8 

Thanks
Comment 9 Eugene Shatokhin 2017-01-06 21:43:21 MSK
(In reply to comment #7)
> Just to 100% clarify you run :
> 
> 
> sudo urpmi.addmedia kernel_4.8
> http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/
> rosa2014.1/x86_64/kernel_4_8/release/
> 
> THEN: RUN:
> 
> sudo urpmi kernel-nrj-desktop-4.8-latest kernel-nrj-desktop-4.8-devel-latest
> cpupower
> 
> THEN: reboot

Yes, one should execute these commands in the specified order to get kernel 4.8.x.
Comment 10 Eugene Shatokhin 2017-01-06 21:47:26 MSK
(In reply to comment #8)
> Can you give me a clear interpretation of this text : === Russian ===
> 
> Начиная с версии 39, Firefox не поддерживает шифрованный доступ по
> сертификатам SSL3 с длиной ключа 128 и 256. Это сделано для привлечения
> внимания к недостаточной защищенности такого доступа в современных
> условиях. Если вы по-прежнему хотите использовать такие сертификаты,
> установите в конфигурации браузера (url about:config) параметры:
> 
> security.ssl3.dhe_rsa_aes_128_sha=false
> security.ssl3.dhe_rsa_aes_256_sha=false
> 
> It is difficult to translate for me . I get this while installing ROSA 8 
> 
> Thanks

There should have been the same message in English right before that:

------------------
Note that Firefox 39 does not support encrypted access certificates 
SSL3 with key lengths 128 and 256. This is done in order to attract
attention to inadequate protection of the access. If you still want
to use such certificates, set these browser configuration options
(url about: config):

security.ssl3.dhe_rsa_aes_128_sha=false
security.ssl3.dhe_rsa_aes_256_sha=false
------------------
Comment 11 daz 2017-01-06 23:55:28 MSK
Just thought Id let you know Eugine that the Kernel 4.8.14- installed fine.. Not only that it has fixed some major issues I seemed to be having with the previous Kernel .. Thanks
Comment 12 daz 2017-01-07 00:18:47 MSK
Feel free to remove this post .. . I have two more questions end Ill be done for this bug report. Its just the English ROSA Forum is not very responsive and the Russia one well.. 

How does the ROSA 8 Firewall work ?
Comment 13 Eugene Shatokhin 2017-01-07 14:24:29 MSK
(In reply to comment #11)
> Just thought Id let you know Eugine that the Kernel 4.8.14- installed fine..
> Not only that it has fixed some major issues I seemed to be having with the
> previous Kernel .. Thanks

Great! Good to know that.
Comment 14 Eugene Shatokhin 2017-01-07 14:36:19 MSK
(In reply to comment #12)
> Feel free to remove this post .. . I have two more questions end Ill be done
> for this bug report. Its just the English ROSA Forum is not very responsive
> and the Russia one well.. 

There are long New Year holidays here in Russia (Jan 1 - Jan 8), so many of us will not be very responsive until they end, as you may imagine.

Another way to contact our developers is "rosa-devel" mailing list. The preferred language is English there.

If I am not mistaken, anyone can subscribe to that mailing list and post there, see http://lists.rosalab.ru/mailman/listinfo/rosa-devel.

> 
> How does the ROSA 8 Firewall work ?

This is not in my area of expertise. You better ask elsewhere (probably after Jan 8).
Comment 15 daz 2017-02-16 15:41:41 MSK
(In reply to comment #9)
> (In reply to comment #7)
> > Just to 100% clarify you run :
> > 
> > 
> > sudo urpmi.addmedia kernel_4.8
> > http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/
> > rosa2014.1/x86_64/kernel_4_8/release/
> > 
> > THEN: RUN:
> > 
> > sudo urpmi kernel-nrj-desktop-4.8-latest kernel-nrj-desktop-4.8-devel-latest
> > cpupower
> > 
> > THEN: reboot
> 
> Yes, one should execute these commands in the specified order to get kernel
> 4.8.x.

Hi Eugine.

I have had to repair comp and install OS over. I come back to this post to follow the guide to install the Kernel 4.8. However when I try and run it again I get this output :

bad <url> (for local directory, the path must be absolute)
izzymate@izzymate ~ $ sudo urpmi.addmedia kernel_4.8
bad <url> (for local directory, the path must be absolute)
izzymate@izzymate ~ $ http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/
bash: http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/: No such file or directory
izzymate@izzymate ~ $ rosa2014.1/x86_64/kernel_4_8/release/

Can you offer solution please ?

Thanks !!
Comment 16 Eugene Shatokhin 2017-02-16 17:27:46 MSK
(In reply to comment #15)
> (In reply to comment #9)
> > (In reply to comment #7)
> > > Just to 100% clarify you run :
> > > 
> > > 
> > > sudo urpmi.addmedia kernel_4.8
> > > http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/
> > > rosa2014.1/x86_64/kernel_4_8/release/
> > > 
> > > THEN: RUN:
> > > 
> > > sudo urpmi kernel-nrj-desktop-4.8-latest kernel-nrj-desktop-4.8-devel-latest
> > > cpupower
> > > 
> > > THEN: reboot
> > 
> > Yes, one should execute these commands in the specified order to get kernel
> > 4.8.x.
> 
> Hi Eugine.
> 
> I have had to repair comp and install OS over. I come back to this post to
> follow the guide to install the Kernel 4.8. However when I try and run it
> again I get this output :
> 
> bad <url> (for local directory, the path must be absolute)
> izzymate@izzymate ~ $ sudo urpmi.addmedia kernel_4.8
> bad <url> (for local directory, the path must be absolute)
> izzymate@izzymate ~ $
> http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/
> bash: http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/:
> No such file or directory
> izzymate@izzymate ~ $ rosa2014.1/x86_64/kernel_4_8/release/
> 
> Can you offer solution please ?
> 
> Thanks !!

You broke the command in two. There should be no newline between "sudo urpmi.addmedia kernel_4.8" and the URL.
Comment 17 daz 2017-02-16 22:29:08 MSK
izzy@izzy ~ $ sudo urpmi.addmedia kernel_4.8 http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/

We trust you have received the usual lecture from the local System
Administrator. It usually boils down to these three things:

    #1) Respect the privacy of others.
    #2) Think before you type.
    #3) With great power comes great responsibility.

[sudo] password for izzy: 
Sorry, try again.
[sudo] password for izzy: 
adding medium "kernel_4.8"
...retrieving failed: wget failed: exited with 8

no metadata found for medium "kernel_4.8"
izzy@izzy ~ $ urpmi --auto-update 


?????
Comment 18 Eugene Shatokhin 2017-02-16 22:51:54 MSK
(In reply to comment #17)
> izzy@izzy ~ $ sudo urpmi.addmedia kernel_4.8
> http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/
> 
> ?????

You use an incorrect URL. See the correct one in your comment above: http://bugs.rosalinux.ru/show_bug.cgi?id=7617#c7

http://abf-downloads.rosalinux.ru/kernels_stable_personal/repository/rosa2014.1/x86_64/kernel_4_8/release/